[SciPy-user] how to import umfpack?

Robin robince@gmail....
Mon Feb 11 10:22:35 CST 2008

On Feb 11, 2008 4:08 PM, Robert Cimrman <cimrman3@ntc.zcu.cz> wrote:
> This should work, I do the same. Just tried with '0.7.0.dev3913'.

Actually I've upgraded my laptop and it works there with
'0.7.0.dev3913' but on this new install (64 bit Linux) I still have
this problem.

As far as I can see umfpack has built correctly:
robince@bob64:/usr/lib/python2.5/site-packages/scipy/splinalg/dsolve/umfpack$ ls
info.py   __init__.py   setup.py   tests        umfpack.py    umfpack.pyc
info.pyc  __init__.pyc  setup.pyc  _umfpack.py  _umfpack.pyc  __umfpack.so

and a simple grep for umfpack in dsolve doesn't show any difference
between the working and non-working one.

In [2]: scipy.__version__
Out[2]: '0.7.0.dev3912'

In [3]: import scipy.splinalg.dsolve.umfpack as um
<type 'exceptions.AttributeError'>        Traceback (most recent call last)

/home/robince/<ipython console> in <module>()

<type 'exceptions.AttributeError'>: 'module' object has no attribute 'umfpack'

In [4]: import scipy.splinalg.dsolve as dsolve

In [5]: dir(dsolve)

I'd appreciate any help/suggestions to get this working - the
problematic new install is on a powerful machine I only have access
too for a limited time so I'd like to get it running as soon as



More information about the SciPy-user mailing list